Bug 967437 - Fedora19:Alpha:Junk mesages are displayed while running mount,fdisk commands
Fedora19:Alpha:Junk mesages are displayed while running mount,fdisk commands
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
19
ppc64 All
unspecified Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 03:11 EDT by IBM Bug Proxy
Modified: 2013-06-21 04:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 04:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93915 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-05-27 03:11:05 EDT
== Comment: #0 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-05-24 03:31:59 ==
While running mount,fdisk command we have observed some junk message as below in the terminal console
of course command execution is successful, but it does not look clean 

1> bash-4.2# mount /dev/sde /testext4-dev
[ 2283.520755] EXT4-fs (sde): mounted filesystem with ordered data mode. Opts: (null)

2> Running fdisk commands also, it shows
[root@localhost ~]# fdisk /dev/sde
.......................................................
.......................................................
[  184.214581] sd 0:0:6:0: [sde] Cache data unavailable
[  184.214591] sd 0:0:6:0: [sde] Assuming drive cache: write through
[  184.215171]  sde: sde1 sde2
Syncing disks.
[root@localhost ~]# [  184.332060] device fsid bb56fda7-4214-4fe8-bffe-21806ecfb585 devid 1 transid 10 /dev/sde
[  184.431400] device fsid bb56fda7-4214-4fe8-bffe-21806ecfb585 devid 1 transid 10 /dev/sde


3> [root@localhost ~]# mount.btrfs /dev/sde1
WARNING! - Btrfs v0.20-rc1 IS EXPERIMENTAL
WARNING! - see http://btrfs.wiki.kernel.org before using

[  352.835569] device fsid 2197a2ed-ca39-49b9-8374-6a832b5bcf1f devid 1 transid 1 /dev/sde1
[  352.860645] device fsid 2197a2ed-ca39-49b9-8374-6a832b5bcf1f devid 1 transid 3 /dev/sde1
adding device /dev/sde2 id 2
[  352.939935] device fsid 2197a2ed-ca39-49b9-8374-6a832b5bcf1f devid 2 transid 3 /dev/sde2
fs created label (null) on /dev/sde1
        nodesize 65536 leafsize 65536 sectorsize 65536 size 4.00GB
Btrfs v0.20-rc1
[  352.941001] device fsid 2197a2ed-ca39-49b9-8374-6a832b5bcf1f devid 2 transid 3 /dev/sde2
[root@localhost ~]# [  353.033566] device fsid 2197a2ed-ca39-49b9-8374-6a832b5bcf1f devid 1 transid 4 /dev/sde1

== Comment: #4 - Onkar N. Mahajan <onmahaja@in.ibm.com> - 2013-05-27 02:59:34 ==
Sanjeev, IMO , these messages are harmless. Please try to reproduce this issue in two scenarios - 

(1) add 'rhgb quite' to the kernel cmdline and check if you can still see those messages when you try to do fdisk and mount.

(2) try without adding 'rhgb quite' to kernel cmd line BUT ADD :  

        insmod scsi_wait_scan   <-------------  THIS 

to the grub menu entry.

Please post the results ASAP. 

Regards,
Onkar
Comment 1 IBM Bug Proxy 2013-05-27 03:50:35 EDT
------- Comment From onmahaja@in.ibm.com 2013-05-27 07:48 EDT-------
Sanjeev, sorry -

is irrelevant here. you can only try option (2)
Comment 2 Karel Zak 2013-05-27 07:24:59 EDT
Sounds like strange console-level setting for kernel messages.

Try:

    $ cat /proc/sys/kernel/printk
    4     4	1	7

The first number in the output is the console log level, the second is the default log level, third is the minimum log level and fourth is the maximum log level. 

See also

     dmesg --console-level level
     dmesg --console-on
     dmesg --console-off

for more details.

Anyway, I don't think this is util-linux issue, seems like kernel/init or your local misconfiguration.
Comment 3 IBM Bug Proxy 2013-06-20 06:54:51 EDT
------- Comment From sanpatr1@in.ibm.com 2013-06-20 10:49 EDT-------
(In reply to comment #11)
> Sounds like strange console-level setting for kernel messages.
>
> Try:
>
> $ cat /proc/sys/kernel/printk
> 4     4	1	7
>
> The first number in the output is the console log level, the second is the
> default log level, third is the minimum log level and fourth is the maximum
> log level.
>
> See also
>
> dmesg --console-level level
> dmesg --console-on
> dmesg --console-off
>
> for more details.
>
> Anyway, I don't think this is util-linux issue, seems like kernel/init or
> your local misconfiguration.

It works with the alternative solution "dmesg --console-off" what is given here. so we can close the bug.

Note You need to log in before you can comment on or make changes to this bug.